"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reactAsyncIterSpecialInfoSymbol = void 0;
exports.parseReactAsyncIterable = parseReactAsyncIterable;
const identity_js_1 = require("./identity.js");
function parseReactAsyncIterable(value) {
    if (value[reactAsyncIterSpecialInfoSymbol]) {
        const { origSource, formatFn } = value[reactAsyncIterSpecialInfoSymbol];
        return {
            baseIter: origSource,
            formatFn: formatFn,
        };
    }
    return {
        baseIter: value,
        formatFn: (identity_js_1.identity),
    };
}
const reactAsyncIterSpecialInfoSymbol = Symbol('reactAsyncIterSpecialInfoSymbol');
exports.reactAsyncIterSpecialInfoSymbol = reactAsyncIterSpecialInfoSymbol;
//# sourceMappingURL=ReactAsyncIterable.js.map